Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.enhance
Class DynamicStorageGenerator

    java.lang.Object
      |
      +--kodo.enhance.DynamicStorageGenerator

Direct Known Subclasses:
  PCDataGenerator

public synchronized class DynamicStorageGenerator
extends Object

Field Summary
`static int` | `POLICY_EMPTY`
`static int` | `POLICY_EXCEPTION`
`static int` | `POLICY_SILENT`
`protected static String` | `PREFIX`
`protected static int[]` | `TYPES`
`protected static Class[][]` | `WRAPPERS`

Constructor Summary
`DynamicStorageGenerator()`

Method Summary
`serp.bytecode.BCField` | `addBeanField(serp.bytecode.BCClass, String, Class)`
`serp.bytecode.BCField` | `addObjectField(serp.bytecode.BCClass, String)`
`protected DynamicStorage` | `createFactory(serp.bytecode.BCClass)`
`protected void` | `declareClasses(serp.bytecode.BCClass)`
`protected void` | `decorate(Object, serp.bytecode.BCClass, int[])`
`static Class` | `forType(int)`
`DynamicStorage` | `generateStorage(int[], Object)`
`protected String` | `getClassName(Object)`
`protected int` | `getCreateFieldMethods(int)`
`protected int` | `getFieldAccess()`
`String` | `getFieldName(int)`
`static Class` | `getWrapper(Class)`
`static Class` | `getWrapper(int)`
`static boolean` | `isCompatible(int, int)`
`static serp.bytecode.Code` | `replaceMethod(serp.bytecode.BCClass, String, Class, Class[], boolean)`
`static void` | `setTarget(serp.bytecode.Instruction, Collection)`
`static serp.bytecode.Instruction` | `throwException(serp.bytecode.Code, Class)`
`static String[]` | `toStrings(Class[])`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    protected static final String PREFIX

### POLICY_EXCEPTION

    public static int POLICY_EXCEPTION

### POLICY_EMPTY

    public static int POLICY_EMPTY

### POLICY_SILENT

    public static int POLICY_SILENT

### WRAPPERS

    protected static final Class[][] WRAPPERS

### TYPES

    protected static final int[] TYPES

Constructor Detail

### DynamicStorageGenerator

    public DynamicStorageGenerator()

Method Detail

### generateStorage

    public DynamicStorage generateStorage(int[],
                                          Object)

### getClassName

    protected String getClassName(Object)

### getFieldAccess

    protected int getFieldAccess()

### getFieldName

    public String getFieldName(int)

### getCreateFieldMethods

    protected int getCreateFieldMethods(int)

### decorate

    protected void decorate(Object,
                            serp.bytecode.BCClass,
                            int[])

### createFactory

    protected DynamicStorage createFactory(serp.bytecode.BCClass)

### declareClasses

    protected void declareClasses(serp.bytecode.BCClass)

### replaceMethod

    public static serp.bytecode.Code replaceMethod(serp.bytecode.BCClass,
                                                   String,
                                                   Class,
                                                   Class[],
                                                   boolean)

### addObjectField

    public serp.bytecode.BCField addObjectField(serp.bytecode.BCClass,
                                                String)

### addBeanField

    public serp.bytecode.BCField addBeanField(serp.bytecode.BCClass,
                                              String,
                                              Class)

### isCompatible

    public static boolean isCompatible(int,
                                       int)

### throwException

    public static serp.bytecode.Instruction throwException(serp.bytecode.Code,
                                                           Class)

### forType

    public static Class forType(int)

### getWrapper

    public static Class getWrapper(int)

### getWrapper

    public static Class getWrapper(Class)

### toStrings

    public static String[] toStrings(Class[])

### setTarget

    public static void setTarget(serp.bytecode.Instruction,
                                 Collection)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.